/* Dies ist die Beispielfunktion enableButtonReturn() aus folgendem Buch:
 *
 *  Autoren: Hans-Joachim Brede, Nicolai Josuttis,
 *           Sabine Lemberg, Achim Loerke
 *  Titel:   Programmieren mit OSF/Motif Version 2
 *  Verlag:  Addison-Wesley, 2. voellig ueberarbeitete Auflage 1995
 *  ISBN:    3-89319-727-3
 *
 * Copyright 1995 by Hans-Joachim Brede, Nicolai Josuttis, Sabine Lemberg and
 * Achim Loerke.  All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software for personal
 * and educational use is hereby granted without fee, provided that the above
 * copyright notice appear in all copies and that both that copyright notice
 * and this permission notice appear in supporting documentation, and that the
 * names of Addison-Wesley or the authors are not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  Addison-Wesley and the authors make no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * ADDISON-WESLEY AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS,
 * IN NO EVENT SHALL ADDISON-WESLEY OR THE AUTHORS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
 * OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 */

/* enableButtonReturn
 *  - Return/osfActivate zur Aktivierung von Buttons zulassen
 *  - kann fuer Buttons und bei Gadgets auch fuer den Container
 *    aufgerufen werden
 */
void enableButtonReturn (widget)
Widget widget;
{
    static String widString =
                    "~s ~m ~a <Key>Return: ArmAndActivate()\n\
                     ~s ~m ~a <Key>osfActivate: ArmAndActivate()";
    static String gadString =
                    "~s ~m ~a <Key>Return: ManagerGadgetSelect()\n\
                     ~s ~m ~a <Key>osfActivate: ManagerGadgetSelect()";
    static XtTranslations widTrans, gadTrans;

    /* beim ersten Aufruf Translations parsen
     */
    if (widTrans == NULL) {
        widTrans = XtParseTranslationTable (widString);
        gadTrans = XtParseTranslationTable (gadString);
    }

    /* Translations ueberschreibend installieren
     */
    if (XtIsSubclass(widget,xmGadgetClass)) {
        /* Translations des Eltern-Widgets ueberschreiben
         */
        XtOverrideTranslations (XtParent(widget), gadTrans);
    }
    else if (XtIsSubclass(widget,xmManagerWidgetClass)) {
        /* Translations des Containers fuer die Gadgets ueberschreiben
         */
        XtOverrideTranslations (widget, gadTrans);
    }
    else {
        /* Translations des (Button-)Widgets ueberschreiben
         */
        XtOverrideTranslations (widget, widTrans);
    }
}

